---
image: "alpine:edge"

lint:
  before_script:
    - apk -q add perl
  script:
    - .ci/lint.sh

codespell:
  before_script:
    - "echo 'https://dl-cdn.alpinelinux.org/alpine/edge/testing' >> /etc/apk/repositories"
    - "adduser -D build"
  script:
    - .ci/codespell.sh

build-pmOS:
  before_script:
    - "apk -q add git"
    - "git submodule update --init --recursive"
    - "adduser -D build"
  script:
    - .ci/build-pmOS.sh
